Bug 437014 - xmltex should not have its own fmtutil.cnf fragment
xmltex should not have its own fmtutil.cnf fragment
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xmltex (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Stepan Kasal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-11 13:00 EDT by Stepan Kasal
Modified: 2008-03-20 12:56 EDT (History)
2 users (show)

See Also:
Fixed In Version: xmltex-20020625-11.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-20 12:56:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
change to spec (2.99 KB, patch)
2008-03-20 10:07 EDT, Stepan Kasal
no flags Details | Diff

  None (edit)
Description Stepan Kasal 2008-03-11 13:00:29 EDT
xmltex package brings its own fmtutil.cnf fragment, named xmltexfmtutil.cnf,
containing two lines defining the xmltex and pdfxmltex formats.
This is redundant, as the main fmtutil.cnf from texlive-texmf defines these formats.
Moreover, it is buggy: recent releases of TeXlive use pdftex binary for
latex.fmt and xmltexfmtutil.cnf does not reflect this change.

I suggest to remove xmltexfmtutil.cnf from the distribution.
Comment 1 Jindrich Novy 2008-03-13 10:46:14 EDT
If the configuration file is planned to be removed, it has to be on the xmltex side.
Comment 2 Stepan Kasal 2008-03-19 14:29:55 EDT
I'm about to commit to xmltex/devel, as soon as I get access.
Comment 3 Ondrej Vasik 2008-03-20 07:57:15 EDT
Stepan: Could you please specify what are you going to commit? Removal of .cnf
file will cause troubles to passivetex build (as it expects xmltex cnf file on
its old location) . I think the final conclusion we had with Jindrich was that
the cnf file should be kept on xmltex side and only fmt files should be moved to
/var/lib/texmf/web2c/... . 
Comment 4 Stepan Kasal 2008-03-20 10:03:28 EDT
I thought that the xmltexfmtutil.cnf file might cause problem as it is not aware
of the fact that latex in built on top of etex in recent versions of TeXlive.
More generally, TeXlive changes from time to time, and the best option to keep
compatible with the fashion-of-the-day is using the format definitions from
TeXlives own fmtutil.cnf.
If passivetex is not ready for the change, it shall be fixed too.

As far as fmt files are concerned, xmltex should do what the main tex packages do.
IIRC, it is:
- do not build fmt during %build,
- do not add them to the file database (even not as %ghost) which is what's
usually done for most runtime generated files under /var
- generate fmt files in %post scriptlets
Comment 5 Stepan Kasal 2008-03-20 10:07:29 EDT
Created attachment 298696 [details]
change to spec

I was about to commit these changes to spec file, together with cvs rm
xmltexfmtutil.cnf.
Comment 6 Ondrej Vasik 2008-03-20 12:56:37 EDT
Built as xmltex-20020625-11.fc9 (with required rebuild of passivetex and few
other changes), closing RAWHIDE, hopefully it will not break anything.

Note You need to log in before you can comment on or make changes to this bug.